summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorStefan Ritter <xeno@thehappy.de>2010-09-03 17:51:43 +0200
committerStefan Ritter <xeno@thehappy.de>2010-09-03 17:51:43 +0200
commit79ba4f0a21f5ee626c11f772f01fe3e07486e14e (patch)
treeb5de1500827f8e5ff65e801f5dd0e53d0d020686 /bin
parent2ac330dbf357b6b9711d02a842afe377c481f351 (diff)
Cleanup
Diffstat (limited to 'bin')
-rwxr-xr-xbin/viod17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/viod b/bin/viod
new file mode 100755
index 0000000..8bb4c21
--- /dev/null
+++ b/bin/viod
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+editor=vi
+
+if [ $# -eq 0 ]
+then
+ echo "usage: `basename $0` file"
+ exit 1
+fi
+
+file=$1
+
+timestamp=`stat -c %y "$file" | cut -d. -f1 | cut -d" " -f1 | awk -F- '{print $1 $2 $3}'``stat -c %y "$file" | cut -d. -f1 | cut -d" " -f2 | awk -F: '{print $1 $2 "." $3}'`
+
+"$editor" "$file"
+
+touch -t $timestamp "$file"